## sdl12-compat 0.0~git20210312.a719acd

=== CMakeLists.txt ===
# NOTE:  If you installed SDL2 at an unusual place and FindSDL2 fails,
#        you can define SDL2_INCLUDE_DIR on the cmdline.  For example:
#        cmake -DSDL2_INCLUDE_DIR=/opt/SDL2/include/SDL2 [other stuff]
#
# NOTE:  To build SDL1.2 test programs enable SDL12TESTS. For example:
#        cmake -DSDL12TESTS=1 [other stuff]

cmake_minimum_required(VERSION 3.0.0)
project(sdl12_compat)

option(SDL12TESTS "Enable to build SDL-1.2 test programs" OFF)

if(APPLE)
  set(OSX_SRCS "src/SDL12_compat_objc.m")
  set_source_files_properties(${OSX_SRCS} PROPERTIES LANGUAGE C)
  # the following matches SDL-1.2 Xcode project file
  set(DYLIB_COMPAT_VERSION 1.0.0)
  set(DYLIB_CURRENT_VERSION 12.50.0)
endif()
if(WIN32)
  set(WIN32_SRCS "src/version.rc")
endif()

set(SDL12COMPAT_SRCS
  src/SDL12_compat.c
  ${OSX_SRCS}
  ${WIN32_SRCS}
)
add_library(SDL SHARED ${SDL12COMPAT_SRCS})

include("cmake/modules/FindSDL2.cmake")
target_include_directories(SDL PRIVATE ${SDL2_INCLUDE_DIRS})

# avoid DLL having 'lib' prefix with Windows MinGW builds
if(WIN32)
  set(CMAKE_SHARED_LIBRARY_PREFIX "")
  set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "DLL_EXPORT")
endif()

if(UNIX AND NOT APPLE)
    set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "_REENTRANT")
    target_link_libraries(SDL PRIVATE dl)
endif()
if(APPLE)
    set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "_THREAD_SAFE")
    set_target_properties(SDL PROPERTIES LINK_FLAGS
            "-Wl,-compatibility_version,${DYLIB_COMPAT_VERSION} -Wl,-current_version,${DYLIB_CURRENT_VERSION}")
    target_link_libraries(SDL PRIVATE "-framework AppKit")
    set_target_properties(SDL PROPERTIES
        MACOSX_RPATH 1
        OUTPUT_NAME "SDL-1.2.0"
    )
elseif(UNIX AND NOT ANDROID)
    set_target_properties(SDL PROPERTIES
        VERSION "1.2.50"
        SOVERSION "0"
        OUTPUT_NAME "SDL-1.2")
else()
    set_target_properties(SDL PROPERTIES
        VERSION "1.2.50"
        SOVERSION "0"
      OUTPUT_NAME "SDL")
endif()

if(MINGW)
    set_target_properties(SDL PROPERTIES LINK_FLAGS "-nostdlib")
endif()
if(MSVC)
    # Don't try to link with the default set of libraries.
    set_target_properties(SDL PROPERTIES COMPILE_FLAGS "/GS-")
    set_target_properties(SDL PROPERTIES LINK_FLAGS "/NODEFAULTLIB")
    # Make sure /RTC1 is disabled: (from SDL2 CMake)
    foreach(flag_var
      CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
      CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
      string(REGEX REPLACE "/RTC(su|[1su])" "" ${flag_var} "${${flag_var}}")
    endforeach(flag_var)
endif()


if(SDL12TESTS)
    include(FindSDL)
    if(NOT (WIN32 OR APPLE OR CYGWIN OR HAIKU OR BEOS))
      find_library(MATH_LIBRARY m)
    endif()

    macro(test_program _NAME _SRCS)
        add_executable(${_NAME} ${_SRCS})
        target_include_directories(${_NAME} PRIVATE ${SDL_INCLUDE_DIR})
        target_link_libraries(${_NAME} SDL)
        if(MATH_LIBRARY)
          target_link_libraries(${_NAME} ${MATH_LIBRARY})
        endif()
    endmacro()

    test_program(testsprite "test/testsprite.c")
endif()

=== debian/changelog ===
sdl12-compat (0.0~git20210312.a719acd-1) unstable; urgency=low

  * Initial release. Closes: #985170.

 -- Stephen Kitt <skitt@debian.org>  Fri, 02 Apr 2021 22:35:55 +0200

=== debian/control ===
Source: sdl12-compat
Priority: optional
Maintainer: Debian SDL package maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Build-Depends: cmake, debhelper-compat (= 13), libsdl2-dev
Standards-Version: 4.5.1
Section: libs
Homepage: https://github.com/libsdl-org/sdl12-compat
Vcs-Git: https://salsa.debian.org/sdl-team/sdl12-compat.git
Vcs-Browser: https://salsa.debian.org/sdl-team/sdl12-compat
Rules-Requires-Root: no

Package: libsdl1.2-compat
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: SDL 1.2 binary compatibility library wrapping SDL 2.0
 libsdl1.2-compat provides a binary compatible API for programs built
 against SDL 1.2, but using SDL 1.0.
 .
 If you are writing new code, please target SDL 2.0 directly instead
 of using this layer.
 .
 This package only provides the library, in a private location, so
 that it can be co-installed with libsdl1.2debian. It is intended for
 packages with a specific use for the compatibility layer (which
 provides some extra symbols not present in libsdl1.2debian).
 To replace libsdl1.2debian entirely, and use the compatibility layer
 with all SDL 1.2 programs, install libsdl1.2-compat-shim.

Package: libsdl1.2-compat-shim
Architecture: any
Multi-Arch: same
Depends: libsdl1.2-compat, ${misc:Depends}
Conflicts: libsdl1.2debian
Replaces: libsdl1.2debian
Provides: libsdl1.2debian (= 1.2.15-1)
Description: libsdl1.2debian replacement using SDL 2.0
 libsdl1.2-compat provides a binary compatible API for programs built
 against SDL 1.2, but using SDL 1.0.
 .
 If you are writing new code, please target SDL 2.0 directly instead
 of using this layer.
 .
 This package replaces libsdl1.2debian with the SDL 2.0 compatibility
 layer, so that all SDL 1.2 program will use it.

## sdl12-compat 0.0~git20210519.ebcbb11

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
 )
 add_library(SDL SHARED ${SDL12COMPAT_SRCS})
 
+include(GNUInstallDirs)
 include("cmake/modules/FindSDL2.cmake")
 target_include_directories(SDL PRIVATE ${SDL2_INCLUDE_DIRS})
 
@@ -95,3 +96,7 @@
 
     test_program(testsprite "test/testsprite.c")
 endif()
+
+install(TARGETS SDL
+  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+)

=== debian/changelog ===
sdl12-compat (0.0~git20210519.ebcbb11-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Stephen Kitt <skitt@debian.org>  Sun, 23 May 2021 15:55:49 +0200

## sdl12-compat 0.0~git20210619.4ad7ba6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,31 @@
 # NOTE:  If you installed SDL2 at an unusual place and FindSDL2 fails,
 #        you can define SDL2_INCLUDE_DIR on the cmdline.  For example:
 #        cmake -DSDL2_INCLUDE_DIR=/opt/SDL2/include/SDL2 [other stuff]
-#
-# NOTE:  To build SDL1.2 test programs enable SDL12TESTS. For example:
-#        cmake -DSDL12TESTS=1 [other stuff]
 
 cmake_minimum_required(VERSION 3.0.0)
-project(sdl12_compat)
-
-option(SDL12TESTS "Enable to build SDL-1.2 test programs" OFF)
+project(sdl12_compat
+        VERSION 0.0.1
+        LANGUAGES C)
+
+set(SDL12_COMPAT_VERSION_STR "1.2.50")
+
+option(SDL12TESTS "Enable to build SDL-1.2 test programs" ON)
+option(SDL12DEVEL "Enable installing SDL-1.2 development headers" ON)
+option(STATICDEVEL "Enable installing static link library" OFF)
+
+if(STATICDEVEL AND NOT (CMAKE_SYSTEM_NAME MATCHES "Linux"))
+  MESSAGE(FATAL_ERROR "Static builds are only supported on Linux.")
+endif()
+
+set(CMAKE_SKIP_RPATH TRUE)
 
 if(APPLE)
   set(OSX_SRCS "src/SDL12_compat_objc.m")
   set_source_files_properties(${OSX_SRCS} PROPERTIES LANGUAGE C)
   # the following matches SDL-1.2 Xcode project file
-  set(DYLIB_COMPAT_VERSION 1.0.0)
-  set(DYLIB_CURRENT_VERSION 12.50.0)
+  set(DYLIB_COMPAT_VERSION 1.0.0 CACHE STRING "library compatibility version")
+  set(DYLIB_CURRENT_VERSION 12.50.0 CACHE STRING "library current version")
+  include_directories("/opt/X11/include")  # hack.
 endif()
 if(WIN32)
   set(WIN32_SRCS "src/version.rc")
@@ -28,9 +38,15 @@
 )
 add_library(SDL SHARED ${SDL12COMPAT_SRCS})
 
+include(CheckCSourceCompiles)
+
 include(GNUInstallDirs)
 include("cmake/modules/FindSDL2.cmake")
 target_include_directories(SDL PRIVATE ${SDL2_INCLUDE_DIRS})
+
+if (CMAKE_C_COMPILER_ID MATCHES "Clang|GNU")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror=declaration-after-statement") # force these universally.
+endif()
 
 # avoid DLL having 'lib' prefix with Windows MinGW builds
 if(WIN32)
@@ -53,22 +69,32 @@
     )
 elseif(UNIX AND NOT ANDROID)
     set_target_properties(SDL PROPERTIES
-        VERSION "1.2.50"
+        VERSION "${SDL12_COMPAT_VERSION_STR}"
         SOVERSION "0"
         OUTPUT_NAME "SDL-1.2")
 else()
     set_target_properties(SDL PROPERTIES
-        VERSION "1.2.50"
+        VERSION "${SDL12_COMPAT_VERSION_STR}"
         SOVERSION "0"
       OUTPUT_NAME "SDL")
 endif()
 
 if(MINGW)
     set_target_properties(SDL PROPERTIES LINK_FLAGS "-nostdlib")
+    target_link_libraries(SDL PRIVATE "-static-libgcc -lgcc") # libgcc is needed for 32 bit (x86) builds
 endif()
 if(MSVC)
     # Don't try to link with the default set of libraries.
-    set_target_properties(SDL PROPERTIES COMPILE_FLAGS "/GS-")
+    set(MSVC_FLAGS "/GS-")
+    check_c_source_compiles("int main(void) {
+#ifndef _M_IX86
+#error not x86
+#endif
+return 0; }" IS_X86)
+    if(IS_X86)  # don't emit SSE2 in x86 builds
+      set(MSVC_FLAGS "${MSVC_FLAGS} /arch:SSE")
+    endif()
+    set_target_properties(SDL PROPERTIES COMPILE_FLAGS ${MSVC_FLAGS})
     set_target_properties(SDL PROPERTIES LINK_FLAGS "/NODEFAULTLIB")
     # Make sure /RTC1 is disabled: (from SDL2 CMake)
     foreach(flag_var
@@ -80,23 +106,161 @@
 
 
 if(SDL12TESTS)
-    include(FindSDL)
     if(NOT (WIN32 OR APPLE OR CYGWIN OR HAIKU OR BEOS))
       find_library(MATH_LIBRARY m)
     endif()
 
+    find_package(OpenGL COMPONENTS OpenGL)
+    if(OPENGL_FOUND)
+      set(HAVE_OPENGL_DEFINE "HAVE_OPENGL")
+      if(WIN32)
+        set(OPENGL_gl_LIBRARY "opengl32")
+        set(OPENGL_opengl_LIBRARY "opengl32")
+      elseif(APPLE)
+        set(OPENGL_gl_LIBRARY "-Wl,-framework,OpenGL")
+        set(OPENGL_opengl_LIBRARY "-Wl,-framework,OpenGL")
+      endif()
+    endif()
+
     macro(test_program _NAME _SRCS)
         add_executable(${_NAME} ${_SRCS})
-        target_include_directories(${_NAME} PRIVATE ${SDL_INCLUDE_DIR})
+        target_include_directories(${_NAME} PRIVATE "include/SDL")
         target_link_libraries(${_NAME} SDL)
+        # Turn off MSVC's aggressive C runtime warnings for the old test programs.
+        if(MSVC)
+          set_target_properties(${_NAME} PROPERTIES COMPILE_DEFINITIONS "${HAVE_OPENGL_DEFINE};_CRT_SECURE_NO_WARNINGS;_CRT_SECURE_NO_DEPRECATE;_CRT_NONSTDC_NO_DEPRECATE")
+        elseif(APPLE)
+          set_target_properties(${_NAME} PROPERTIES COMPILE_DEFINITIONS "${HAVE_OPENGL_DEFINE};GL_SILENCE_DEPRECATION=1")
+        else()
+          set_target_properties(${_NAME} PROPERTIES COMPILE_DEFINITIONS "${HAVE_OPENGL_DEFINE}")
+        endif()
         if(MATH_LIBRARY)
           target_link_libraries(${_NAME} ${MATH_LIBRARY})
         endif()
     endmacro()
 
+    test_program(checkkeys "test/checkkeys.c")
+    test_program(graywin "test/graywin.c")
+    test_program(loopwave "test/loopwave.c")
+    test_program(testalpha "test/testalpha.c")
+    test_program(testbitmap "test/testbitmap.c")
+    test_program(testblitspeed "test/testblitspeed.c")
+    test_program(testcdrom "test/testcdrom.c")
+    test_program(testcursor "test/testcursor.c")
+    test_program(testerror "test/testerror.c")
+    test_program(testfile "test/testfile.c")
+    test_program(testgamma "test/testgamma.c")
+    test_program(testthread "test/testhread.c")
+    test_program(testiconv "test/testiconv.c")
+    test_program(testjoystick "test/testjoystick.c")
+    test_program(testkeys "test/testkeys.c")
+    test_program(testloadso "test/testloadso.c")
+    test_program(testlock "test/testlock.c")
+    test_program(testoverlay "test/testoverlay.c")
+    test_program(testoverlay2 "test/testoverlay2.c")
+    test_program(testpalette "test/testpalette.c")
+    test_program(testplatform "test/testplatform.c")
+    test_program(testsem "test/testsem.c")
     test_program(testsprite "test/testsprite.c")
+    test_program(testtimer "test/testtimer.c")
+    test_program(testver "test/testver.c")
+    test_program(testvidinfo "test/testvidinfo.c")
+    test_program(testwin "test/testwin.c")
+    test_program(testwm "test/testwm.c")
+    test_program(threadwin "test/threadwin.c")
+    test_program(torturethread "test/torturethread.c")
+    test_program(testdyngl "test/testdyngl.c")
+    test_program(testgl "test/testgl.c")
+    if(OPENGL_FOUND)
+      if(CMAKE_VERSION VERSION_LESS 3.10)
+        target_link_libraries(testgl ${OPENGL_gl_LIBRARY})
+      else()
+        target_link_libraries(testgl ${OPENGL_opengl_LIBRARY})
+      endif()
+    endif()
+
+    foreach(fname "icon.bmp" "moose.dat" "picture.xbm" "sail.bmp" "sample.bmp" "sample.wav" "utf8.txt")
+        file(COPY "${CMAKE_SOURCE_DIR}/test/${fname}" DESTINATION "${CMAKE_BINARY_DIR}")
+    endforeach(fname)
 endif()
 
 install(TARGETS SDL
   LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
 )
+
+if(SDL12DEVEL)
+  set(SDL_VERSION "${SDL12_COMPAT_VERSION_STR}")
+
+  install(DIRECTORY include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
+
+  if(NOT MSVC)
+    if(WIN32)
+      # FIXME: no SDL_main for Windows!
+      set(SDL_CFLAGS "")                          # -Dmain=SDL_main
+      set(SDL_RLD_FLAGS "")
+      set(SDL_LIBS "-lSDL -mwindows")             # -lmingw32 -lSDLmain -lSDL -mwindows
+      set(SDL_STATIC_LIBS "")
+    elseif(APPLE)
+      # FIXME: no SDL_main for Mac!
+      set(SDL_CFLAGS "-D_THREAD_SAFE")            # -Dmain=SDL_main
+      set(SDL_LIBS "-lSDL")                       #       -lSDLmain
+      set(SDL_STATIC_LIBS "")
+      set(SDL_RLD_FLAGS "")  # !!! FIXME: this forces rpath, which we might want?
+    else() # unix
+      set(SDL_CFLAGS "-D_GNU_SOURCE=1 -D_REENTRANT")
+      set(SDL_RLD_FLAGS "")  # !!! FIXME: this forces rpath, which we might want?
+      set(SDL_LIBS "-lSDL")
+      set(SDL_STATIC_LIBS "-ldl")
+      if(NOT STATICDEVEL)
+        set(SDL_STATIC_LIBS "")
+      endif()
+    endif()
+
+    # !!! FIXME: do we _want_ static builds?
+    if(STATICDEVEL)
+      set(ENABLE_STATIC_TRUE "")
+      set(ENABLE_STATIC_FALSE "#")
+    else()
+      set(ENABLE_STATIC_TRUE "#")
+      set(ENABLE_STATIC_FALSE "")
+    endif()
+    set(ENABLE_SHARED_TRUE "")
+    set(ENABLE_SHARED_FALSE "#")
+
+    configure_file(sdl12_compat.pc.in sdl12_compat.pc @ONLY)
+    install(FILES ${CMAKE_BINARY_DIR}/sdl12_compat.pc
+      DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
+    )
+
+    configure_file("${CMAKE_SOURCE_DIR}/sdl-config.in" "${CMAKE_BINARY_DIR}/sdl-config" @ONLY)
+    install(PROGRAMS "${CMAKE_BINARY_DIR}/sdl-config" DESTINATION bin)
+  endif()
+
+  set(SOEXT ${CMAKE_SHARED_LIBRARY_SUFFIX})
+  get_target_property(SONAME SDL OUTPUT_NAME)
+  if(UNIX AND NOT ANDROID)
+    install(CODE "
+      execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink
+        \"lib${SONAME}${SOPOSTFIX}${SOEXT}\" \"libSDL${SOPOSTFIX}${SOEXT}\"
+        WORKING_DIRECTORY \"${CMAKE_BINARY_DIR}\")")
+    install(FILES ${CMAKE_BINARY_DIR}/libSDL${SOPOSTFIX}${SOEXT} DESTINATION "${CMAKE_INSTALL_LIBDIR}")
+  endif()
+
+  install(FILES "${CMAKE_SOURCE_DIR}/sdl.m4" DESTINATION "${CMAKE_INSTALL_FULL_DATAROOTDIR}/aclocal")
+endif()
+
+if(STATICDEVEL AND SDL12DEVEL)
+  add_library(SDL-static STATIC ${SDL12COMPAT_SRCS})
+  target_include_directories(SDL-static PRIVATE ${SDL2_INCLUDE_DIRS})
+  set_target_properties(SDL-static PROPERTIES COMPILE_DEFINITIONS "_REENTRANT")
+  target_link_libraries(SDL-static PRIVATE dl)
+  set_target_properties(SDL-static PROPERTIES
+          VERSION "${SDL12_COMPAT_VERSION_STR}"
+        OUTPUT_NAME "SDL")
+
+  install(TARGETS SDL-static
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  )
+endif()

=== debian/changelog ===
sdl12-compat (0.0~git20210619.4ad7ba6-1) unstable; urgency=medium

  * New upstream snapshot (with the ability to provide a development
    package, but this isn’t enabled yet).

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 Jun 2021 11:55:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,12 @@
 Priority: optional
 Maintainer: Debian SDL package maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
-Build-Depends: cmake, debhelper-compat (= 13), libsdl2-dev
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libglu1-mesa-dev,
+ libsdl2-dev,
+ libx11-dev
 Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/libsdl-org/sdl12-compat

## sdl12-compat 0.0~git20210628.cf47f88

=== CMakeLists.txt ===
--- 
+++ 
@@ -105,6 +105,17 @@
 endif()
 
 
+# SDLmain library...
+if(APPLE)
+    add_library(SDLmain STATIC src/SDLmain/macosx/SDLmain.m)
+elseif(WIN32)
+    add_library(SDLmain STATIC src/SDLmain/win32/SDL_win32_main.c)
+    set_target_properties(SDLmain PROPERTIES COMPILE_DEFINITIONS "_CRT_SECURE_NO_WARNINGS;_CRT_SECURE_NO_DEPRECATE;_CRT_NONSTDC_NO_DEPRECATE")  # !!! FIXME: don't use C runtime? We fixed this in SDL2.
+else()
+    add_library(SDLmain STATIC src/SDLmain/dummy/SDL_dummy_main.c)
+endif()
+target_include_directories(SDLmain PRIVATE "include/SDL")
+
 if(SDL12TESTS)
     if(NOT (WIN32 OR APPLE OR CYGWIN OR HAIKU OR BEOS))
       find_library(MATH_LIBRARY m)
@@ -125,12 +136,17 @@
     macro(test_program _NAME _SRCS)
         add_executable(${_NAME} ${_SRCS})
         target_include_directories(${_NAME} PRIVATE "include/SDL")
-        target_link_libraries(${_NAME} SDL)
+        if(MINGW)
+          target_link_libraries(${_NAME} mingw32 SDLmain SDL)
+        else()
+          target_link_libraries(${_NAME} SDLmain SDL)
+        endif()
         # Turn off MSVC's aggressive C runtime warnings for the old test programs.
         if(MSVC)
           set_target_properties(${_NAME} PROPERTIES COMPILE_DEFINITIONS "${HAVE_OPENGL_DEFINE};_CRT_SECURE_NO_WARNINGS;_CRT_SECURE_NO_DEPRECATE;_CRT_NONSTDC_NO_DEPRECATE")
         elseif(APPLE)
           set_target_properties(${_NAME} PROPERTIES COMPILE_DEFINITIONS "${HAVE_OPENGL_DEFINE};GL_SILENCE_DEPRECATION=1")
+          target_link_libraries(${_NAME} "-Wl,-framework,Cocoa")
         else()
           set_target_properties(${_NAME} PROPERTIES COMPILE_DEFINITIONS "${HAVE_OPENGL_DEFINE}")
         endif()
@@ -184,7 +200,7 @@
     endforeach(fname)
 endif()
 
-install(TARGETS SDL
+install(TARGETS SDL SDLmain
   LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
   ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
@@ -197,15 +213,13 @@
 
   if(NOT MSVC)
     if(WIN32)
-      # FIXME: no SDL_main for Windows!
-      set(SDL_CFLAGS "")                          # -Dmain=SDL_main
+      set(SDL_CFLAGS "")
       set(SDL_RLD_FLAGS "")
-      set(SDL_LIBS "-lSDL -mwindows")             # -lmingw32 -lSDLmain -lSDL -mwindows
+      set(SDL_LIBS "-lSDLmain -lSDL -mwindows")             # -lmingw32 -lSDL -mwindows
       set(SDL_STATIC_LIBS "")
     elseif(APPLE)
-      # FIXME: no SDL_main for Mac!
-      set(SDL_CFLAGS "-D_THREAD_SAFE")            # -Dmain=SDL_main
-      set(SDL_LIBS "-lSDL")                       #       -lSDLmain
+      set(SDL_CFLAGS "-D_THREAD_SAFE")
+      set(SDL_LIBS "-lSDLmain -lSDL -Wl,-framework,Cocoa")
       set(SDL_STATIC_LIBS "")
       set(SDL_RLD_FLAGS "")  # !!! FIXME: this forces rpath, which we might want?
     else() # unix

=== debian/changelog ===
sdl12-compat (0.0~git20210628.cf47f88-1) unstable; urgency=medium

  * New upstream snapshot.
  * Fix the incorrect mention of SDL 1.0 in the package descriptions.

 -- Stephen Kitt <skitt@debian.org>  Tue, 29 Jun 2021 21:36:33 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Description: SDL 1.2 binary compatibility library wrapping SDL 2.0
  libsdl1.2-compat provides a binary compatible API for programs built
- against SDL 1.2, but using SDL 1.0.
+ against SDL 1.2, but using SDL 2.0.
  .
  If you are writing new code, please target SDL 2.0 directly instead
  of using this layer.
@@ -43,7 +43,7 @@
 Provides: libsdl1.2debian (= 1.2.15-1)
 Description: libsdl1.2debian replacement using SDL 2.0
  libsdl1.2-compat provides a binary compatible API for programs built
- against SDL 1.2, but using SDL 1.0.
+ against SDL 1.2, but using SDL 2.0.
  .
  If you are writing new code, please target SDL 2.0 directly instead
  of using this layer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

%:
	dh $@ -Scmake

override_dh_makeshlibs:
	dh_makeshlibs -plibsdl1.2-compat -n

override_dh_shlibdeps:
	dh_shlibdeps -plibsdl1.2-compat -lusr/lib/$(DEB_HOST_MULTIARCH)/sdl12-compat

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/libsdl-org/sdl12-compat \
HEAD debian uupdate

## sdl12-compat 0.0~git20210909.a98590a

=== debian/changelog ===
sdl12-compat (0.0~git20210909.a98590a-1) unstable; urgency=medium

  * New upstream snapshot.
  * Since the library dlopens libsdl2, the package needs an explicit
    dependency on libsdl2-2.0-0.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 11 Sep 2021 19:07:37 +0200

sdl12-compat (0.0~git20210814.a3bfcb2-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Stephen Kitt <skitt@debian.org>  Thu, 19 Aug 2021 16:21:22 +0200

## sdl12-compat 0.0~git20211015.36a09e4

=== debian/changelog ===
sdl12-compat (0.0~git20211015.36a09e4-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Stephen Kitt <skitt@debian.org>  Fri, 29 Oct 2021 17:27:46 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libglu1-mesa-dev,
  libsdl2-dev,
  libx11-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://github.com/libsdl-org/sdl12-compat
 Vcs-Git: https://salsa.debian.org/sdl-team/sdl12-compat.git
@@ -18,7 +18,7 @@
 Package: libsdl1.2-compat
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libsdl2-2.0-0
 Pre-Depends: ${misc:Pre-Depends}
 Description: SDL 1.2 binary compatibility library wrapping SDL 2.0
  libsdl1.2-compat provides a binary compatible API for programs built

## sdl12-compat 0.0~git20211212.74b56a8

=== debian/changelog ===
sdl12-compat (0.0~git20211212.74b56a8-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Stephen Kitt <skitt@debian.org>  Sun, 12 Dec 2021 17:50:26 +0100

## sdl12-compat 0.0~git20220128.b3328aa

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,12 @@
   set(DYLIB_COMPAT_VERSION 1.0.0 CACHE STRING "library compatibility version")
   set(DYLIB_CURRENT_VERSION 12.50.0 CACHE STRING "library current version")
   include_directories("/opt/X11/include")  # hack.
-endif()
+  if(CMAKE_VERSION VERSION_LESS 3.9)
+  else()
+    cmake_policy(SET CMP0068 NEW)  # on macOS, don't let RPATH affect install_name.
+  endif()
+endif()
+
 if(WIN32)
   set(WIN32_SRCS "src/version.rc")
 endif()
@@ -39,32 +44,44 @@
 add_library(SDL SHARED ${SDL12COMPAT_SRCS})
 
 include(CheckCSourceCompiles)
+include(CheckIncludeFile)
+include(CheckCCompilerFlag)
 
 include(GNUInstallDirs)
 include("cmake/modules/FindSDL2.cmake")
 target_include_directories(SDL PRIVATE ${SDL2_INCLUDE_DIRS})
 
+set(EXTRA_CFLAGS )
 if (CMAKE_C_COMPILER_ID MATCHES "Clang|GNU")
-  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror=declaration-after-statement") # force these universally.
-endif()
-
-# avoid DLL having 'lib' prefix with Windows MinGW builds
-if(WIN32)
-  set(CMAKE_SHARED_LIBRARY_PREFIX "")
-  set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "DLL_EXPORT")
-endif()
+  set(EXTRA_CFLAGS "${EXTRA_CFLAGS} -Wall")
+  check_c_compiler_flag(-Wdeclaration-after-statement HAVE_WDECLARATION_AFTER_STATEMENT)
+  if(HAVE_WDECLARATION_AFTER_STATEMENT)
+    set(EXTRA_CFLAGS "${EXTRA_CFLAGS} -Wdeclaration-after-statement")
+  endif()
+  check_c_compiler_flag(-Werror=declaration-after-statement HAVE_WERROR_DECLARATION_AFTER_STATEMENT)
+  if(HAVE_WERROR_DECLARATION_AFTER_STATEMENT)
+    set(EXTRA_CFLAGS "${EXTRA_CFLAGS} -Werror=declaration-after-statement")
+  endif()
+endif()
+# just in case:
+check_include_file("immintrin.h" HAVE_IMMINTRIN_H)
+if(NOT HAVE_IMMINTRIN_H)
+  set(EXTRA_CFLAGS "${EXTRA_CFLAGS} -DSDL_DISABLE_IMMINTRIN_H")
+endif()
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${EXTRA_CFLAGS}")
+string(STRIP "${CMAKE_C_FLAGS}" CMAKE_C_FLAGS)
 
 if(UNIX AND NOT APPLE)
     set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "_REENTRANT")
     target_link_libraries(SDL PRIVATE dl)
 endif()
 if(APPLE)
+    set_target_properties(SDL PROPERTIES INSTALL_NAME_DIR "")
     set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "_THREAD_SAFE")
     set_target_properties(SDL PROPERTIES LINK_FLAGS
             "-Wl,-compatibility_version,${DYLIB_COMPAT_VERSION} -Wl,-current_version,${DYLIB_CURRENT_VERSION}")
     target_link_libraries(SDL PRIVATE "-framework AppKit")
     set_target_properties(SDL PROPERTIES
-        MACOSX_RPATH 1
         OUTPUT_NAME "SDL-1.2.0"
     )
 elseif(UNIX AND NOT ANDROID)
@@ -72,6 +89,20 @@
         VERSION "${SDL12_COMPAT_VERSION_STR}"
         SOVERSION "0"
         OUTPUT_NAME "SDL-1.2")
+elseif(WIN32)
+    # avoid DLL having 'lib' prefix with MinGW
+    set(CMAKE_SHARED_LIBRARY_PREFIX "")
+    set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "DLL_EXPORT")
+    set_target_properties(SDL PROPERTIES
+        VERSION "${SDL12_COMPAT_VERSION_STR}"
+        SOVERSION "0"
+      OUTPUT_NAME "SDL")
+elseif(OS2)
+    set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "BUILD_SDL") # for DECLSPEC
+    set_target_properties(SDL PROPERTIES
+        VERSION "${SDL12_COMPAT_VERSION_STR}"
+        SOVERSION "0"
+        OUTPUT_NAME "SDL12")
 else()
     set_target_properties(SDL PROPERTIES
         VERSION "${SDL12_COMPAT_VERSION_STR}"
@@ -107,7 +138,8 @@
 
 # SDLmain library...
 if(APPLE)
-    add_library(SDLmain STATIC src/SDLmain/macosx/SDLmain.m)
+    add_library(SDLmain STATIC src/SDLmain/macosx/SDLMain.m)
+    set_source_files_properties(src/SDLmain/macosx/SDLMain.m PROPERTIES LANGUAGE C)
 elseif(WIN32)
     add_library(SDLmain STATIC src/SDLmain/win32/SDL_win32_main.c)
     set_target_properties(SDLmain PROPERTIES COMPILE_DEFINITIONS "_CRT_SECURE_NO_WARNINGS;_CRT_SECURE_NO_DEPRECATE;_CRT_NONSTDC_NO_DEPRECATE")  # !!! FIXME: don't use C runtime? We fixed this in SDL2.
@@ -215,7 +247,7 @@
     if(WIN32)
       set(SDL_CFLAGS "")
       set(SDL_RLD_FLAGS "")
-      set(SDL_LIBS "-lSDLmain -lSDL -mwindows")             # -lmingw32 -lSDL -mwindows
+      set(SDL_LIBS "-lmingw32 -lSDLmain -lSDL -mwindows")
       set(SDL_STATIC_LIBS "")
     elseif(APPLE)
       set(SDL_CFLAGS "-D_THREAD_SAFE")

=== debian/changelog ===
sdl12-compat (0.0~git20220128.b3328aa-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Feb 2022 22:31:39 +0100

## sdl12-compat 1.2.52

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,8 @@
 
 cmake_minimum_required(VERSION 3.0.0)
 project(sdl12_compat
-        VERSION 0.0.1
+        VERSION 1.2.52
         LANGUAGES C)
-
-set(SDL12_COMPAT_VERSION_STR "1.2.50")
 
 option(SDL12TESTS "Enable to build SDL-1.2 test programs" ON)
 option(SDL12DEVEL "Enable installing SDL-1.2 development headers" ON)
@@ -24,7 +22,7 @@
   set_source_files_properties(${OSX_SRCS} PROPERTIES LANGUAGE C)
   # the following matches SDL-1.2 Xcode project file
   set(DYLIB_COMPAT_VERSION 1.0.0 CACHE STRING "library compatibility version")
-  set(DYLIB_CURRENT_VERSION 12.50.0 CACHE STRING "library current version")
+  set(DYLIB_CURRENT_VERSION 12.52.0 CACHE STRING "library current version")
   include_directories("/opt/X11/include")  # hack.
   if(CMAKE_VERSION VERSION_LESS 3.9)
   else()
@@ -86,7 +84,7 @@
     )
 elseif(UNIX AND NOT ANDROID)
     set_target_properties(SDL PROPERTIES
-        VERSION "${SDL12_COMPAT_VERSION_STR}"
+        VERSION "${PROJECT_VERSION}"
         SOVERSION "0"
         OUTPUT_NAME "SDL-1.2")
 elseif(WIN32)
@@ -94,18 +92,18 @@
     set(CMAKE_SHARED_LIBRARY_PREFIX "")
     set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "DLL_EXPORT")
     set_target_properties(SDL PROPERTIES
-        VERSION "${SDL12_COMPAT_VERSION_STR}"
+        VERSION "${PROJECT_VERSION}"
         SOVERSION "0"
       OUTPUT_NAME "SDL")
 elseif(OS2)
     set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "BUILD_SDL") # for DECLSPEC
     set_target_properties(SDL PROPERTIES
-        VERSION "${SDL12_COMPAT_VERSION_STR}"
+        VERSION "${PROJECT_VERSION}"
         SOVERSION "0"
         OUTPUT_NAME "SDL12")
 else()
     set_target_properties(SDL PROPERTIES
-        VERSION "${SDL12_COMPAT_VERSION_STR}"
+        VERSION "${PROJECT_VERSION}"
         SOVERSION "0"
       OUTPUT_NAME "SDL")
 endif()
@@ -220,7 +218,7 @@
     test_program(testdyngl "test/testdyngl.c")
     test_program(testgl "test/testgl.c")
     if(OPENGL_FOUND)
-      if(CMAKE_VERSION VERSION_LESS 3.10)
+      if(CMAKE_VERSION VERSION_LESS 3.10 OR NOT OPENGL_opengl_LIBRARY)
         target_link_libraries(testgl ${OPENGL_gl_LIBRARY})
       else()
         target_link_libraries(testgl ${OPENGL_opengl_LIBRARY})
@@ -239,8 +237,6 @@
 )
 
 if(SDL12DEVEL)
-  set(SDL_VERSION "${SDL12_COMPAT_VERSION_STR}")
-
   install(DIRECTORY include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 
   if(NOT MSVC)
@@ -303,7 +299,7 @@
   set_target_properties(SDL-static PROPERTIES COMPILE_DEFINITIONS "_REENTRANT")
   target_link_libraries(SDL-static PRIVATE dl)
   set_target_properties(SDL-static PROPERTIES
-          VERSION "${SDL12_COMPAT_VERSION_STR}"
+          VERSION "${PROJECT_VERSION}"
         OUTPUT_NAME "SDL")
 
   install(TARGETS SDL-static

=== debian/changelog ===
sdl12-compat (1.2.52-3) unstable; urgency=medium

  * Remove a duplicate line from the previous changelog entry
  * Wrap and sort lists of dependencies, maintainers, etc.
  * d/libsdl1.2-compat-shim.links: Fix broken symlink
  * d/rules: Run dh_makeshlibs on all packages
  * d/control: Require lockstep upgrades
  * Ensure that dh_makeshlibs works for libsdl1.2-compat-shim.
    dh_makeshlibs only acts on regular files, not symlinks, so install the
    library as a regular file during dh_install and replace it with a
    symlink after dh_makeshlibs has run.
    Disable automatic -dbgsym generation for libsdl1.2-compat-shim, to
    avoid it generating a libsdl1.2-compat-shim-dbgsym package that would
    collide with libsdl1.2-compat-dbgsym.
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Mar 2022 15:14:56 +0000

sdl12-compat (1.2.52-2) experimental; urgency=medium

  * Add a libsdl1.2-compat-tests package containing (mostly manual) tests
    - d/tests: Add a smoke-test using the installed-tests
  * Add a libsdl1.2-compat-dev package (Closes: #990125)
    - d/p/sdl-config-Remove-libdir-for-multiarch-co-installability.patch:
      Add patch to make libsdl1.2-compat-dev multiarch co-installable.
      This is a simplified version of what src:libsdl2 does.
    - d/tests: Add a superficial autopkgtest for the -dev package
    - Have a symbols file for each of the shared library's locations.
      In each symbols file, distinguish between symbols that already
      existed in "real" SDL 1.2 (the default dependency template),
      and symbols that only exist in sdl12-compat, usually because in
      "real" SDL 1.2 they were always inlined (alternative dependency
      template 1).
      Symbols that existed in "real" SDL 1.2 generate a dependency on
      libsdl1.2debian, which can be satisfied by either the real SDL
      1.2 or libsdl1.2-compat-shim. This must be the default dependency
      template, because the default dependency template is the one that
      is used for the SONAME reference to the library itself.
      Symbols that only exist in sdl12-compat generate a dependency on
      the appropriate -compat package.
  * d/*.symbols: Use the released version, not the snapshot
  * Upload to experimental for NEW processing

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Mar 2022 22:23:18 +0000

sdl12-compat (1.2.52-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Use Github releases
  * d/gbp.conf: Use upstream VCS tags
  * d/upstream/metadata: Add
  * Add myself to Uploaders
  * d/copyright: Use the SPDX name for the Unlicense public-domain dedication
  * d/copyright: Use the copyright-format 1.0 name for the Zlib license.
    This happens to be the same as the SPDX name.
  * d/copyright: Use the copyright-format 1.0 name for the Expat license.
    SPDX calls this the MIT license, but copyright-format 1.0 calls it Expat.

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Mar 2022 18:43:14 +0000

sdl12-compat (0.0~git20220302.fede2ff-1) unstable; urgency=medium

  * Team upload
  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Mar 2022 16:34:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: sdl12-compat
 Priority: optional
 Maintainer: Debian SDL package maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
-Uploaders: Stephen Kitt <skitt@debian.org>
+Uploaders:
+ Simon McVittie <smcv@debian.org>,
+ Stephen Kitt <skitt@debian.org>,
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  libglu1-mesa-dev,
  libsdl2-dev,
- libx11-dev
+ libx11-dev,
 Standards-Version: 4.6.0
 Section: libs
 Homepage: https://github.com/libsdl-org/sdl12-compat
@@ -18,8 +20,12 @@
 Package: libsdl1.2-compat
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libsdl2-2.0-0
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ libsdl2-2.0-0,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: SDL 1.2 binary compatibility library wrapping SDL 2.0
  libsdl1.2-compat provides a binary compatible API for programs built
  against SDL 1.2, but using SDL 2.0.
@@ -34,13 +40,46 @@
  To replace libsdl1.2debian entirely, and use the compatibility layer
  with all SDL 1.2 programs, install libsdl1.2-compat-shim.
 
+Package: libsdl1.2-compat-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends:
+ libsdl1.2-compat-shim (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
+Conflicts:
+ libsdl-dev,
+ libsdl1.2-dev,
+Provides:
+ libsdl-dev,
+ libsdl1.2-dev (= 1.2.15-1),
+Replaces:
+ libsdl-dev,
+ libsdl1.2-dev,
+Description: SDL 1.2 binary compatibility library - development files
+ libsdl1.2-compat provides a binary compatible API for programs built
+ against SDL 1.2, but using SDL 2.0.
+ .
+ If you are writing new code, please target SDL 2.0 directly instead
+ of using this layer.
+ .
+ This package provides development files.
+
 Package: libsdl1.2-compat-shim
 Architecture: any
 Multi-Arch: same
-Depends: libsdl1.2-compat, ${misc:Depends}
-Conflicts: libsdl1.2debian
-Replaces: libsdl1.2debian
-Provides: libsdl1.2debian (= 1.2.15-1)
+Depends:
+ libsdl1.2-compat (= ${binary:Version}),
+ ${misc:Depends},
+Conflicts:
+ libsdl1.2debian,
+Replaces:
+ libsdl1.2debian,
+Provides:
+ libsdl1.2debian (= 1.2.15-1),
 Description: libsdl1.2debian replacement using SDL 2.0
  libsdl1.2-compat provides a binary compatible API for programs built
  against SDL 1.2, but using SDL 2.0.
@@ -50,3 +89,20 @@
  .
  This package replaces libsdl1.2debian with the SDL 2.0 compatibility
  layer, so that all SDL 1.2 program will use it.
+
+Package: libsdl1.2-compat-tests
+Section: misc
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
+Description: SDL 1.2 binary compatibility library - tests
+ libsdl1.2-compat provides a binary compatible API for programs built
+ against SDL 1.2, but using SDL 2.0.
+ .
+ If you are writing new code, please target SDL 2.0 directly instead
+ of using this layer.
+ .
+ This package provides manual test programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@ -Scmake

override_dh_strip:
	dh_strip -plibsdl1.2-compat-shim --no-automatic-dbgsym
	dh_strip --remaining-packages

override_dh_makeshlibs:
	dh_makeshlibs -plibsdl1.2-compat -n
	dh_makeshlibs --remaining-packages
	ln -fns sdl12-compat/libSDL-1.2.so.$(DEB_VERSION_UPSTREAM) debian/libsdl1.2-compat-shim/usr/lib/$(DEB_HOST_MULTIARCH)/
	ln -fns sdl12-compat/libSDL-1.2.so.0 debian/libsdl1.2-compat-shim/usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_shlibdeps:
	dh_shlibdeps -lusr/lib/$(DEB_HOST_MULTIARCH)/sdl12-compat

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests

=== debian/watch ===
version=4
https://github.com/libsdl-org/@PACKAGE@/releases .*/release-@ANY_VERSION@@ARCHIVE_EXT@

## sdl12-compat 1.2.56

=== debian/changelog ===
sdl12-compat (1.2.56-2) unstable; urgency=medium

  * d/p/Revert-video-Optimize-temporarily-saving-of-dest-alpha-fo.patch:
    Drop patch, superseded by the one below
  * d/p/RestoreDestAlpha-Fix-out-of-bounds-access-to-buffer.patch:
    Use a more minimal solution for the amoebax crash seen with 1.2.54,
    which has been applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 19 Sep 2022 15:10:25 +0100

sdl12-compat (1.2.56-1) unstable; urgency=medium

  * d/watch: Update for Github website changes
  * New upstream release
  * Update symbols files to add new SDL12COMPAT_GetWindow()
  * Drop patches that were included in the upstream release
  * d/p/Revert-video-Optimize-temporarily-saving-of-dest-alpha-fo.patch:
    Revert a commit that causes a crash in amoebax

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Sep 2022 15:39:06 +0100

sdl12-compat (1.2.54-1) experimental; urgency=medium

  * New upstream prerelease
  * d/patches: Add post-prerelease bug fixes from upstream
  * d/watch.devel: Add a parallel watch file for prereleases
  * Update Lintian overrides
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 05 Sep 2022 12:57:46 +0100

sdl12-compat (1.2.52-4) unstable; urgency=medium

  * d/rules: Normalize permissions of installed-tests.
    This avoids the permissions (in particular the group-write bit)
    varying when built with a different umask. (Closes: #1006870)

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Mar 2022 11:25:11 +0000

## sdl12-compat 1.2.60

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.0.0)
 project(sdl12_compat
-        VERSION 1.2.52
+        VERSION 1.2.60
         LANGUAGES C)
 
 option(SDL12TESTS "Enable to build SDL-1.2 test programs" ON)
@@ -12,17 +12,28 @@
 option(STATICDEVEL "Enable installing static link library" OFF)
 
 if(STATICDEVEL AND NOT (CMAKE_SYSTEM_NAME MATCHES "Linux"))
-  MESSAGE(FATAL_ERROR "Static builds are only supported on Linux.")
-endif()
+  message(FATAL_ERROR "Static builds are only supported on Linux.")
+endif()
+
+list(APPEND CMAKE_MODULE_PATH
+    "${CMAKE_CURRENT_LIST_DIR}/cmake/modules"
+)
+
+include(CheckCSourceCompiles)
+include(CheckIncludeFile)
+include(CheckCCompilerFlag)
+include(GNUInstallDirs)
 
 set(CMAKE_SKIP_RPATH TRUE)
 
 if(APPLE)
   set(OSX_SRCS "src/SDL12_compat_objc.m")
   set_source_files_properties(${OSX_SRCS} PROPERTIES LANGUAGE C)
-  # the following matches SDL-1.2 Xcode project file
-  set(DYLIB_COMPAT_VERSION 1.0.0 CACHE STRING "library compatibility version")
-  set(DYLIB_CURRENT_VERSION 12.52.0 CACHE STRING "library current version")
+  # compatibility version set to match SDL-1.2 autotools build
+  # Xcode project file uses 1.0.0, but it's more compatible to use the
+  # higher version.
+  set(DYLIB_COMPAT_VERSION 12.0.0 CACHE STRING "library compatibility version")
+  set(DYLIB_CURRENT_VERSION 12.60.0 CACHE STRING "library current version")
   include_directories("/opt/X11/include")  # hack.
   if(CMAKE_VERSION VERSION_LESS 3.9)
   else()
@@ -41,12 +52,10 @@
 )
 add_library(SDL SHARED ${SDL12COMPAT_SRCS})
 
-include(CheckCSourceCompiles)
-include(CheckIncludeFile)
-include(CheckCCompilerFlag)
-
-include(GNUInstallDirs)
-include("cmake/modules/FindSDL2.cmake")
+find_package(SDL2)
+if(NOT SDL2_INCLUDE_DIRS)
+  message(FATAL_ERROR "Could not find SDL2 headers")
+endif()
 target_include_directories(SDL PRIVATE ${SDL2_INCLUDE_DIRS})
 
 set(EXTRA_CFLAGS )
@@ -71,10 +80,9 @@
 
 if(UNIX AND NOT APPLE)
     set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "_REENTRANT")
-    target_link_libraries(SDL PRIVATE dl)
+    target_link_libraries(SDL PRIVATE ${CMAKE_DL_LIBS})
 endif()
 if(APPLE)
-    set_target_properties(SDL PROPERTIES INSTALL_NAME_DIR "")
     set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "_THREAD_SAFE")
     set_target_properties(SDL PROPERTIES LINK_FLAGS
             "-Wl,-compatibility_version,${DYLIB_COMPAT_VERSION} -Wl,-current_version,${DYLIB_CURRENT_VERSION}")
@@ -94,7 +102,7 @@
     set_target_properties(SDL PROPERTIES
         VERSION "${PROJECT_VERSION}"
         SOVERSION "0"
-      OUTPUT_NAME "SDL")
+        OUTPUT_NAME "SDL")
 elseif(OS2)
     set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "BUILD_SDL") # for DECLSPEC
     set_target_properties(SDL PROPERTIES
@@ -105,7 +113,7 @@
     set_target_properties(SDL PROPERTIES
         VERSION "${PROJECT_VERSION}"
         SOVERSION "0"
-      OUTPUT_NAME "SDL")
+        OUTPUT_NAME "SDL")
 endif()
 
 if(MINGW)
@@ -132,7 +140,6 @@
       string(REGEX REPLACE "/RTC(su|[1su])" "" ${flag_var} "${${flag_var}}")
     endforeach(flag_var)
 endif()
-
 
 # SDLmain library...
 if(APPLE)
@@ -196,7 +203,7 @@
     test_program(testerror "test/testerror.c")
     test_program(testfile "test/testfile.c")
     test_program(testgamma "test/testgamma.c")
-    test_program(testthread "test/testhread.c")
+    test_program(testthread "test/testthread.c")
     test_program(testiconv "test/testiconv.c")
     test_program(testjoystick "test/testjoystick.c")
     test_program(testkeys "test/testkeys.c")
@@ -254,7 +261,10 @@
       set(SDL_CFLAGS "-D_GNU_SOURCE=1 -D_REENTRANT")
       set(SDL_RLD_FLAGS "")  # !!! FIXME: this forces rpath, which we might want?
       set(SDL_LIBS "-lSDL")
-      set(SDL_STATIC_LIBS "-ldl")
+      set(SDL_STATIC_LIBS "")
+      foreach(lib ${CMAKE_DL_LIBS})
+          set(SDL_STATIC_LIBS "-l${lib}")
+      endforeach()
       if(NOT STATICDEVEL)
         set(SDL_STATIC_LIBS "")
       endif()
@@ -297,7 +307,7 @@
   add_library(SDL-static STATIC ${SDL12COMPAT_SRCS})
   target_include_directories(SDL-static PRIVATE ${SDL2_INCLUDE_DIRS})
   set_target_properties(SDL-static PROPERTIES COMPILE_DEFINITIONS "_REENTRANT")
-  target_link_libraries(SDL-static PRIVATE dl)
+  target_link_libraries(SDL-static PRIVATE ${CMAKE_DL_LIBS})
   set_target_properties(SDL-static PROPERTIES
           VERSION "${PROJECT_VERSION}"
         OUTPUT_NAME "SDL")

=== debian/changelog ===
sdl12-compat (1.2.60-1) unstable; urgency=medium

  * New upstream release
  * d/p/fix-SDL12COMPAT_MAX_VIDMODE.patch:
    Add a post-release bug fix as a patch

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Oct 2022 18:09:42 +0100

sdl12-compat (1.2.58-1) experimental; urgency=medium

  * New upstream prerelease
  * d/p/RestoreDestAlpha-Fix-out-of-bounds-access-to-buffer.patch:
    Drop patch, included upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Oct 2022 10:40:31 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libglu1-mesa-dev,
  libsdl2-dev,
  libx11-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://github.com/libsdl-org/sdl12-compat
 Vcs-Git: https://salsa.debian.org/sdl-team/sdl12-compat.git

=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,4 @@
 # quite right for installed-tests
 override_dh_fixperms:
 	dh_fixperms -Xusr/libexec/installed-tests
+	chmod --recursive a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests

=== debian/tests/control ===
Tests: build
Depends:
 build-essential,
 clang:native,
 libsdl1.2-compat-dev,
 pkg-config,
Restrictions: superficial, allow-stderr

Tests: smoke
Depends:
 libsdl1.2-compat-tests,
Restrictions: superficial, allow-stderr
